
QGIS Application - Bug report #11775

Crash after simple zooming and panning map

2014-12-01 10:37 PM - Alexander Novoselov

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 20003

Description

ubuntugis-unstable

Crash after simple zooming and panning map

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".

[New Thread 0x82973b40 (LWP 3934)]

[New Thread 0x9915db40 (LWP 3898)]

[New Thread 0x9895cb40 (LWP 3897)]

[New Thread 0x9995eb40 (LWP 3896)]

[New Thread 0xa67bdb40 (LWP 3895)]

[New Thread 0xa5dffb40 (LWP 16663)]

[New Thread 0xab4d0b40 (LWP 16622)]

[New Thread 0xabdf1b40 (LWP 16621)]

[New Thread 0xacbffb40 (LWP 16616)]

[New Thread 0xad5f5b40 (LWP 16614)]

0xb77c1424 in __kernel_vsyscall ()

[Current thread is 1 (Thread 0xafc85740 (LWP 16613))]

#0  0xb77c1424 in __kernel_vsyscall ()

No symbol table info available.

#1  0xb290f96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0

No symbol table info available.

#2  0xb2d182ec in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6

No symbol table info available.

#3  0xb4432350 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#4  0xb441d412 in QFutureInterfaceBase::waitForFinished() () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#5  0xb44207a3 in QFutureWatcherBase::waitForFinished() () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#6  0xb4f3032a in QgsMapRendererParallelJob::cancel() () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#7  0xb4a27130 in QgsMapCanvas::stopRendering() () from /usr/lib/libqgis_gui.so.2.6.0

No symbol table info available.

#8  0xb4a2aee5 in QgsMapCanvas::refreshMap() () from /usr/lib/libqgis_gui.so.2.6.0

No symbol table info available.

#9  0xb4ace3cd in ?? () from /usr/lib/libqgis_gui.so.2.6.0

No symbol table info available.
#10 0xb455d6b1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#11 0xb4566655 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#12 0xb456673c in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#13 0xb4561ac4 in QObject::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#14 0xb3a31ed4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0xb3a3730d in QApplication::notify(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0xb4e28cf1 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#17 0xb454697e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#18 0xb457b990 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#19 0xb45790f8 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#20 0xb2966d46 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#21 0xb29670e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#22 0xb29671c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#23 0xb4579887 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#24 0xb3aeaafa in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0xb454550d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#26 0xb45457a9 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#27 0xb454aeba in QCoreApplication::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#28 0xb3a2fa74 in QApplication::exec() () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x0811d734 in main ()

No symbol table info available.

gdb returned 0

History

#1 - 2014-12-02 12:12 PM - Giovanni Manghi

- Category set to Map Canvas

- Status changed from Open to Feedback

- Priority changed from Normal to High
any layer type? it happens in all projects? or just some? Please attach sample data.

the same questions apply for #11776

seems anyway you could have local issues, as this problems are (clearly) not affecting the vast majority of users. Could of course be a qgis issue anyway,

but without more details/data/projects we cannot do much.

#2 - 2014-12-02 09:37 PM - Alexander Novoselov

- File qgis1.png added

Uses a complex map of 18 layers. All layers postgis. Each layer uses filters. Many symbols. 

Fall is irregular, but constantly. With version 2.4 work became uncomfortable. Version 2.2 works well.

Judging by the debug problem this fall, probably in the running in parallel rendering.

If you give me a package with debug symbols for Ubuntu 12.04 (32bit), 14.04 (64 bit), I can catch a crash.

Sorry my english (translator).

#3 - 2014-12-03 01:12 AM - Giovanni Manghi

Alexander Novoselov wrote:

Uses a complex map of 18 layers. All layers postgis. Each layer uses filters. Many symbols. 

Fall is irregular, but constantly. With version 2.4 work became uncomfortable. Version 2.2 works well.

Judging by the debug problem this fall, probably in the running in parallel rendering.

If you give me a package with debug symbols for Ubuntu 12.04 (32bit), 14.04 (64 bit), I can catch a crash.

Sorry my english (translator).

please try to lower the number of cpu cores used in the rendering process, the option is in the qgis general options, "rendering" tab.

#4 - 2014-12-03 02:53 AM - Alexander Novoselov

CPU - i7 8 core (hypertrending) 

increase to 4 - crash

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".

[New Thread 0xa6126b40 (LWP 1949)]

[New Thread 0x9b41db40 (LWP 1948)]

[New Thread 0x9a41bb40 (LWP 1947)]

[New Thread 0x9ac1cb40 (LWP 1945)]

[New Thread 0x798efb40 (LWP 21319)]

[New Thread 0xa4befb40 (LWP 4279)]

[New Thread 0xab442b40 (LWP 4225)]

[New Thread 0xabd6bb40 (LWP 4224)]

[New Thread 0xacbffb40 (LWP 4221)]

[New Thread 0xad56cb40 (LWP 4220)]

0xb7738424 in __kernel_vsyscall ()
[Current thread is 1 (Thread 0xafbfc740 (LWP 4219))]

#0  0xb7738424 in __kernel_vsyscall ()

No symbol table info available.

#1  0xb288696b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0

No symbol table info available.

#2  0xb2c8f2ec in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6

No symbol table info available.

#3  0xb43a9350 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#4  0xb4394412 in QFutureInterfaceBase::waitForFinished() () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#5  0xb43977a3 in QFutureWatcherBase::waitForFinished() () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#6  0xb4ea732a in QgsMapRendererParallelJob::cancel() () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#7  0xb499e130 in QgsMapCanvas::stopRendering() () from /usr/lib/libqgis_gui.so.2.6.0

No symbol table info available.

#8  0xb49a1ee5 in QgsMapCanvas::refreshMap() () from /usr/lib/libqgis_gui.so.2.6.0

No symbol table info available.

#9  0xb4a453cd in ?? () from /usr/lib/libqgis_gui.so.2.6.0

No symbol table info available.

#10 0xb44d46b1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#11 0xb44dd655 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#12 0xb44dd73c in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#13 0xb44d8ac4 in QObject::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#14 0xb39a8ed4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0xb39ae30d in QApplication::notify(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0xb4d9fcf1 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#17 0xb44bd97e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#18 0xb44f2990 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#19 0xb44f00f8 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#20 0xb28ddd46 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#21 0xb28de0e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#22 0xb28de1c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#23 0xb44f0887 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#24 0xb3a61afa in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0xb44bc50d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
No symbol table info available.

#26 0xb44bc7a9 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#27 0xb44c1eba in QCoreApplication::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#28 0xb39a6a74 in QApplication::exec() () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x0811d734 in main ()

No symbol table info available.

gdb returned 0

turn off at all, is expected to fall

#5 - 2014-12-03 03:24 AM - Giovanni Manghi

Alexander Novoselov wrote:

CPU - i7 8 core (hypertrending) 

increase to 4 - crash

turn off at all, is expected to fall

sorry it is not clear to me. Does this means that if you decrease the number of cores it becomes more stable?

#6 - 2014-12-03 03:27 AM - Alexander Novoselov

No a decrease from 8 to 4 fall happened. Now disable the parallel rendering. Waiting for the fall.

#7 - 2014-12-03 03:37 AM - Alexander Novoselov

After disabling parallel rendering - while not crashing!

#8 - 2014-12-03 04:58 AM - Giovanni Manghi

Alexander Novoselov wrote:

After disabling parallel rendering - while not crashing!

no crash after disabling parallel rendering, correct?

#9 - 2014-12-03 05:20 AM - Alexander Novoselov

Giovanni Manghi wrote:

Alexander Novoselov wrote:
After disabling parallel rendering - while not crashing!

no crash after disabling parallel rendering, correct?

yes. zooming and panning map - no crash.

#10 - 2014-12-05 05:43 AM - Matthias Kuhn

Are you using joins?

Is caching enabled for these joins?

#11 - 2014-12-05 05:50 AM - Alexander Novoselov

Matthias Kuhn wrote:

Are you using joins?

No

#12 - 2014-12-05 06:37 AM - Giovanni Manghi

probably this should be closed as duplicate of #11141

#13 - 2014-12-05 07:43 AM - Alexander Novoselov

Giovanni Manghi wrote:

probably this should be closed as duplicate of #11141

No! This bug associated with parallel rendering, and manifests itself when drawing layer by accident.

Zooming and panning map.

#14 - 2014-12-05 08:02 AM - Giovanni Manghi

Alexander Novoselov wrote:

Giovanni Manghi wrote:

probably this should be closed as duplicate of #11141

No! This bug associated with parallel rendering,

as it is #11141
Your issue is probably a different manifestation of the same issue.

#15 - 2015-12-21 12:50 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

duplicate of #11141 reopen if necessary.

Files

qgis1.png 669 KB 2014-12-02 Alexander Novoselov
